import { ChainableFilter } from "../Chainable";
import { SteemOperationNumber } from "../../blockchain/SteemOperationNumber";
import { UnifiedSteemTransaction } from "../../blockchain/UnifiedSteemTransaction";
export declare class OperationNumberFilter extends ChainableFilter<UnifiedSteemTransaction, OperationNumberFilter> {
    private tn;
    private mode;
    private limiter;
    constructor(mode: "<" | "<_solveOpInTrxBug" | "<=" | ">" | ">=", tn: SteemOperationNumber);
    protected me(): OperationNumberFilter;
    protected take(error: Error | undefined, rawTx: UnifiedSteemTransaction): boolean;
    makeLimiter(): OperationNumberFilter;
}
